Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Fractal
Class LSystem2Config

    java.lang.Object
      Fractal.LSystem2Config

    public class LSystem2Config

extends java.lang.Object

Track information about each LSystem displayed to the user in guiComp

Author:
  eliott bartley

Nested Class Summary
`static class` | `LSystem2Config.Indexes`
`static interface` | `LSystem2Config.SelectAction`

Field Summary
`float` | `angle` The phenotype of this LSystem's angle
`int` | `depth` The phenotype of this LSystem's depth
`double` | `fitness` The fitness of this LSystem, multiplied by .99 each time it is selected in LSystemSelect
`java.lang.String` | `grammar` The phenotype of this LSystem's grammar
`LSystem2Config.Indexes` | `indexes` Because all LSystems are coalesced before display, when the user selects one, it must relate back to all the orignal LSystems that were coalsesced.
`boolean` | `purge` Set to true if this LSystem has been selected to die
`boolean` | `select` Set to true if this LSystem is picked as a parent in guiComp

Constructor Summary
`LSystem2Config(int index, java.lang.String grammar, int depth, float angle, double fitness)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### indexes

    public LSystem2Config.Indexes indexes

  Because all LSystems are coalesced before display, when the user selects one, it must relate back to all the orignal LSystems that were coalsesced. This keeps a list of all the LSystems (with their original index) that are the same as this one

### grammar

    public java.lang.String grammar

  The phenotype of this LSystem's grammar

### depth

    public int depth

  The phenotype of this LSystem's depth

### angle

    public float angle

  The phenotype of this LSystem's angle

### fitness

    public double fitness

  The fitness of this LSystem, multiplied by .99 each time it is selected in LSystemSelect

### select

    public boolean select

  Set to true if this LSystem is picked as a parent in guiComp

### purge

    public boolean purge

  Set to true if this LSystem has been selected to die

Constructor Detail

### LSystem2Config

    public LSystem2Config(int index,
                          java.lang.String grammar,
                          int depth,
                          float angle,
                          double fitness)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD